# PreorderNamespaceOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Preorder namespace options

param

  the namespace to preorder

param

  salt used to generate the preorder namespace hash

param

  amount of STX to burn for the registration

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- PreorderNamespaceOptions

## Index

### Properties

- namespace
- network
- publicKey
- salt
- stxToBurn

## Properties

### namespace

namespace: string

- Defined in packages/bns/src/index.ts:272

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:276

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:275

### salt

salt: string

- Defined in packages/bns/src/index.ts:273

### stxToBurn

stxToBurn: BN

- Defined in packages/bns/src/index.ts:274

Generated using TypeDoc